%define url_ver %(echo %{version} | cut -d. -f1,2)

# to get pkg build with copr
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Xfce Session Manager
Name:		xfce4-session
Version:	4.19.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Source2:	xfce4.pam
# to pre-select xfce4 session in lightdm greeter when booting mageia first time after install
Source3:	xfce4-lightdm.conf
# Upstream patches from GIT:
#
# Mageia patches
Patch:		0001-Create-and-apply-Mageia-default-settings.patch
Patch:		0001-Export-XDG_CONFIG_HOME-and-XDG_CACHE_HOME.patch
# Originally from Fedora
# Patch startxfce4 to keep it on the same vty for logind
# https://bugzilla.redhat.com/show_bug.cgi?id=1117682
Patch:		xfce-session-startxfce4.patch

BuildRequires:  git-core
BuildRequires:	intltool
BuildRequires:	iceauth
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.19.2
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.19.2
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.18.0
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-gobject-1)
Requires:	usermode-consoleonly
Requires:	mate-polkit
Requires:	%{_real_vendor}-xfce-config >= 4.100.5.5

%description
Xfce4-session is a session manager for Xfce. Its task is to save the state of
your desktop (opened applications and their location) and restore it during a
next startup. You can create several different sessions and choose one of
them on startup.

%prep
%autosetup -p1 -Sgit

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# (wally) these files are in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/Xft.xrdb

# pam
install -Dm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/xfce4

# to pre-select xfce4 session in lightdm greeter when booting mageia first time after install
install -Dm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/lightdm/lightdm.conf.d/55-%{_real_vendor}-xfce.conf

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS
%doc doc/FAQ doc/README.Kiosk README.md
%{_bindir}/startxfce4
%{_bindir}/xfce4-session
%{_bindir}/xfce4-session-logout
%{_bindir}/xfce4-session-settings
%{_bindir}/xflock4
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.{png,svg}
%dir %{_libdir}/xfce4/session/
%{_libdir}/xfce4/session/xfsm-shutdown-helper
%{_mandir}/man1/*
%{_datadir}/polkit-1/actions/org.xfce.session.policy
%{_datadir}/xsessions/xfce.desktop
%{_sysconfdir}/lightdm/lightdm.conf.d/55-%{_real_vendor}-xfce.conf
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/pam.d/xfce4
